summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
Diffstat (limited to 'eclass')
-rw-r--r--eclass/Manifest.gzbin40349 -> 40342 bytes
-rw-r--r--eclass/cargo.eclass8
2 files changed, 4 insertions, 4 deletions
diff --git a/eclass/Manifest.gz b/eclass/Manifest.gz
index 90bef7d7e4e5..e47a3bec9726 100644
--- a/eclass/Manifest.gz
+++ b/eclass/Manifest.gz
Binary files differ
diff --git a/eclass/cargo.eclass b/eclass/cargo.eclass
index 95d485ab20c3..d93ae1723470 100644
--- a/eclass/cargo.eclass
+++ b/eclass/cargo.eclass
@@ -603,12 +603,12 @@ cargo_live_src_unpack() {
export CARGO_HOME="${ECARGO_REGISTRY_DIR}"
# Absence of quotes around offline arg is intentional, as cargo bails out if it encounters ''
- einfo "cargo fetch ${offline:+--offline}"
- cargo fetch ${offline:+--offline} || die #nowarn
+ einfo "${CARGO} fetch ${offline:+--offline}"
+ "${CARGO}" fetch ${offline:+--offline} || die #nowarn
# Let cargo copy all required crates to "${WORKDIR}" for offline use in later phases.
- einfo "cargo vendor ${offline:+--offline} ${ECARGO_VENDOR}"
- cargo vendor ${offline:+--offline} "${ECARGO_VENDOR}" || die #nowarn
+ einfo "${CARGO} vendor ${offline:+--offline} ${ECARGO_VENDOR}"
+ "${CARGO}" vendor ${offline:+--offline} "${ECARGO_VENDOR}" || die #nowarn
# Users may have git checkouts made by cargo.
# While cargo vendors the sources, it still needs git checkout to be present.